Subject: bug#36649: 27.0.50; pure space and pdumper

From: Andrea Corallo <[email-masked]>
Date: Thu, 13 May 2021 21:23:10 +0000

Pip Cet <[email-masked]> writes:

> On Wed, May 12, 2021 at 7:44 PM Lars Ingebrigtsen <[email-masked]> wrote:
>> Eli Zaretskii <[email-masked]> writes:
>>
>> > I don't know if this is an interesting configuration.  AFAIU,
>> > "--with-dumping=none" means you run the CANNOT_DUMP version, which
>> > doesn't dump Emacs at all.
>>
>> Ah, yes...  and in that case I guess there is no pure space?  Oh well, I
>> guess somebody has to look into getting unexec working on Linux if we're
>> to, er, see what the impact of pure space unexec would have been.  If it
>> was working.  :-)
>
> I had it working a while ago, just not using libc malloc(). AFAIU,
> that's just incompatible with unexec() now.
>
> (And it's still slightly but significantly faster building with
> unexec() on Linux than building with pdumper, at least in contrived
> benchmarks).
>
> So, yes, I'd misunderstood Eli and thought he had objections to this
> patch; if he doesn't, we should look into fixing the native-comp parts
> and apply it :-)

Right, if you like me to have a look to the native-comp side would be
handy to have this patch pushed as a git branch on our repo.

  Andrea